Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I have a server that is running all versions of .NET Framework, from 2.0 up to 4.0. An application I need to deploy won't run correctly on later versions, and was originally compiled for 1.1. Is it safe to install version 1.1 on the machine without causing any problems with the later versions?

Edited to add:

To the accepted answer I must comment on how it went after actually installing .NET 1.1. It went fine, except there was one problem that occurred. Sql Server 2005 Developer Edition was on the machine, and after 1.1 was installed, Sql Server Management Studio was no longer working correctly, and had to be removed and re-installed. Only a small problem, but noteworthy.

share|improve this question
    
Added a comment to my answer, just so you know! –  squillman Jul 8 '10 at 19:29
add comment

2 Answers 2

up vote 10 down vote accepted

Yes, you're good to go. .NET framework versions are designed to install side-by-side. The other versions of the framework will happily continue on with their lives.

One thing I will add is that sometimes newer versions of the framework will patch older versions if necessary.

share|improve this answer
    
+1, correct, each major version of the .NET framework is independent of the others (for the most part). –  Chris S Jul 8 '10 at 15:39
add comment

The relationships between the .NET Framework versions 2.0, 3.0, and 3.5 differs from the relationships between versions 1.0, 1.1, and 2.0. The .NET Framework 1.0, 1.1, and 2.0 are completely separate from one another, and one version can be present on a computer regardless of whether the other versions are present. When versions 1.0, 1.1, and 2.0 are on the same computer, each version has its own common language runtime, class libraries, compiler, and so forth. Application developers can choose which version to target. For more information, see Side-by-Side Execution, Targeting a Specific .NET Framework Version or Profile, and Using MSBuild to Target Specific Versions of the .NET Framework.

http://msdn.microsoft.com/en-us/library/bb822049.aspx

.NET 4.0 is also a new, isolated version that can run beside any of the others without interferience.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.